﻿--upgrade SQLs for NewsFeed ROOM DB
drop table if exists city_record;
CREATE TABLE IF NOT EXISTS `city_record` (`id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `channel_id` TEXT, `city_id` TEXT, `index` INTEGER NOT NULL, `name` TEXT, `category` TEXT, `refresh_times` INTEGER NOT NULL, `last_refresh_time` INTEGER NOT NULL, `cpid` TEXT, `last_cancel_subscriber_time` INTEGER NOT NULL);
CREATE UNIQUE INDEX `index_city_record_channel_id_city_id` ON `city_record` (`channel_id`, `city_id`);

alter table info_flow_record add column `city_id` TEXT;
alter table channel_record add column `city_id` TEXT;
alter table channel_record add column `city_name` TEXT;
alter table channel_record add column `city_type` INTEGER NOT NULL DEFAULT 0;