﻿--upgrade SQLs for NewsFeed ROOM DB
alter table info_flow_record add column `cpCooperationMode` INTEGER NOT NULL DEFAULT 0;
alter table info_flow_record add column `userTagInfo` TEXT;
alter table info_flow_record add column `docTagInfo` TEXT;
alter table info_flow_record add column `docTagCode` TEXT;

alter table info_flow_record add column `oriDoc` TEXT;
alter table channel_record add column `title` TEXT;
alter table channel_record add column `powerby` TEXT;

DROP TABLE IF EXISTS newsfeed_v2_ad_record;
CREATE TABLE IF NOT EXISTS `newsfeed_v2_ad_record` (
    `id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    `guid` TEXT,
    `package_name` TEXT,
    `app_dl_info` TEXT,
    `download_success_time` INTEGER NOT NULL,
    `state` INTEGER NOT NULL,
    `is_report` INTEGER NOT NULL
);

CREATE UNIQUE INDEX `index_newsfeed_v2_ad_record_guid` ON `newsfeed_v2_ad_record` (`guid`);
